CREATE OR REPLACE FORCE EDITIONABLE VIEW "AROPS"."ATTRIBUTE_LOCALE_V" ("ATTRIBUTE_KEY", "ATTRIBUTE_TYPE", "ENTITY_TYPE", "LOCALIZED_KEY", "LOCALE") AS
SELECT
    attr.attribute_key,
    attr.attribute_type,
    attr.entity_type,
    map.label_map localized_key,
    map.label_map_key locale
FROM
    attribute_definition attr
    LEFT JOIN localized_label_map map ON attr.localized_display_name = map.localized_label
WHERE
    attr.entity_type IN ('USER', 'PERMISSION', 'ACCOUNT', 'GROUP')
AND attr.attribute_type <> 'INTERNAL'
AND attr.attribute_state = 'ACTIVE'
ORDER BY attr.attribute_key